AI Sync

Functions

Update Calendar Function

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/calendar/{agent_id}
Update Calendar Function
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/calendar/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "enabled": true,
  "timezone": "value",
  "calendars": [],
  "calendar_id": "value",
  "calendar_name": "value",
  "upcoming_days": 1,
  "calendars.*.id": "value",
  "calendars.*.name": "value",
  "user_info_fields": [],
  "appointment_title": "value",
  "rizler_calendar_id": "value",
  "user_info_fields.*": "value",
  "calendly_event_type": "value",
  "book_appointments_on": "GHL",
  "rizler_calendar_name": "value",
  "calendly_event_type_name": "value"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Update Calendar Function#

Update Calendar booking function for an AI agent..

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

book_appointments_onstringbody

One of: GHL, Rizler, Calendly. send only when changing this field

calendar_idstringbody

may be null. send only when changing this field

calendar_namestringbody

may be null. send only when changing this field

appointment_titlestringbody

may be null. send only when changing this field

upcoming_daysintegerbody

One of: 1. min 1. send only when changing this field

timezonestringbody

may be null. send only when changing this field

user_info_fieldsarraybody

send only when changing this field

user_info_fields.*stringbody

Request field

rizler_calendar_idstringbody

may be null. send only when changing this field

rizler_calendar_namestringbody

may be null. send only when changing this field

calendly_event_typestringbody

may be null. send only when changing this field

calendly_event_type_namestringbody

may be null. send only when changing this field

calendarsarraybody

max 10. send only when changing this field

calendars.*.idstringbodyrequired

Request field

calendars.*.namestringbody

may be null

enabledbooleanbody

send only when changing this field

curl --request PATCH \
 --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/calendar/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"book_appointments_on":"GHL","calendar_id":"value","calendar_name":"value","appointment_title":"value","upcoming_days":1,"timezone":"value","user_info_fields":[],"user_info_fields.*":"value","rizler_calendar_id":"value","rizler_calendar_name":"value","calendly_event_type":"value","calendly_event_type_name":"value","calendars":[],"calendars.*.id":"value","calendars.*.name":"value","enabled":true}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records